<?php
/*
Plugin Name: Sticky Footer Bar	
Plugin URI: http://www.arwebzone.com
Description: Add a beautiful sticky floating bar at the footer of wordpress site.The bar will contain random post from selected category.
Version: 1.2.2
Author: Ahmad Raza
Author URI: http://arwebzone.com
License: GPL 2
*/
/* plugin is activated */
register_activation_hook(__FILE__,'floating_sticky_bar_install'); 

/* Runs on plugin deactivation*/
register_deactivation_hook( __FILE__, 'floating_sticky_bar_remove' );

function floating_sticky_bar_install() {
/* Storing Category */
add_option("floating_sticky_bar_cat", 'uncategorized', '', 'yes');
}
function floating_sticky_bar_remove() {
/* Deletes the category from database */
delete_option('floating_sticky_bar_cat');
}
?>
<?php
    /**
     * Register with hook 'wp_enqueue_scripts', which can be used for front end CSS and JavaScript
     */
    add_action( 'wp_enqueue_scripts', 'prefix_add_my_stylesheet' );

    /**
     * Enqueue plugin style-file
     */
    function prefix_add_my_stylesheet() {
        // Respects SSL, Style.css is relative to the current file
        wp_register_style( 'prefix-style', plugins_url('style.css', __FILE__) );
        wp_enqueue_style( 'prefix-style' );
    }
?>
<?php
if ( is_admin() ){

/*creating admin menu */
add_action('admin_menu', 'floating_sticky_bar_admin_menu');

function floating_sticky_bar_admin_menu() {
add_options_page('Sticky Footer Bar', 'Sticky Footer Bar', 'administrator',
'floating-sticky-bar', 'floating_sticky_bar_html_page');
}
}
?>
<?php
function floating_sticky_bar_html_page() {
?>
<div>

<h2>Floating Sticky Bar Options</h2>

<form method="post" action="options.php">
<?php wp_nonce_field('update-options'); ?>

<table width="510">
<tr valign="top">
<th width="92" scope="row">Enter Category Name:</th>
<td width="406">
<input name="floating_sticky_bar_cat" type="text" id="floating_sticky_bar_cat"
value="<?php echo get_option('floating_sticky_bar_cat'); ?>" />
(ex. WordPress)</td>
</tr>
</table>

<input type="hidden" name="action" value="update" />
<input type="hidden" name="page_options" value="floating_sticky_bar_cat" />

<p>
<input type="submit" value="<?php _e('Save Changes') ?>" />
</p>

</form>
</div>
<?php
}
?>
<?php
/*Getting Random Article From The Category */
 function random_article() { 
query_posts(array(
  'orderby' => 'rand', 
  'category_name'  => get_option( 'floating_sticky_bar_cat' ),
  'posts_per_page' => 1
)); 
if (have_posts()) : while (have_posts()) : the_post(); ?>
 <div class="fixedbar">
 <div class="floatingbox">
<ul id="tips">
 <li><a href='<?php the_permalink(); ?>' title='<?php the_title(); ?>'><?php the_title(); ?> </a></li>
</ul>
 </div>
 </div>
<?php endwhile; endif; wp_reset_query(); 
}
add_action('wp_footer', 'random_article');
?>